Method: projects.locations.services.create

Creates a new Service in a given project and location.

HTTP request

POST https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/services

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location to create the Service in. Expected format: projects/{project}/locations/{location}.

Query parameters

Parameters
serviceId

string

Required. The ID to use for the service, which will become the final component of the service's resource name.

This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body contains an instance of Service.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/agentregistry.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • agentregistry.services.create

For more information, see the IAM documentation.